QGIS Application - Feature request #6754
Add logarithmic distribution to raster symbology
2012-11-23 07:22 AM - Giovanni Manghi

Status: Open

Priority: Normal

Assignee:

Category: Rasters

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 15910
Description

see for example here

http://wiki.gis.com/wiki/index.php/Geometric_Interval_Classification

"This classification method is used for visualizing continuous data that is not distributed normally".

The method id already implemented (as "log sitribution") in a QGIS plugin called "1 band color table" available in this repo

http://www.bc-consult.com/free/plugins.xml

History

#1 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-09-20 09:36 AM - Richard Duivenvoorde
- Description updated
- File logscale.jpg added

| was looking for a logarithmic (ten) scale for vector data too...

| think (for vector data) it would need some inputs though, like:
- number of classes

- minimum exponent (optionally based on data minimum)

- maximum exponent (optionally based on data minimum)

- if minimum and maximum should be ranges or just 'bigger then' and 'smaller then' as borders of the ranges

A nice default color ramp to use would be range between HSV colors between 0 and 0.6 (see screendump for examples):
see http://doc.qt.io/qt-4.8/gcolor.html about HSV coloring

But should maybe be a separate feature request :-)

Files

logscale.jpg 30.5KB 2017-09-19 Richard Duivenvoorde

2025-04-26 1/1



http://wiki.gis.com/wiki/index.php/Geometric_Interval_Classification
http://www.bc-consult.com/free/plugins.xml
http://doc.qt.io/qt-4.8/qcolor.html

